parameters:
    # Adds a fallback DATABASE_URL if the env var is not set.
    # This allows you to run cache:warmup even if your
    # environment variables are not available yet.
    # You should not need to change this value.

doctrine:
    dbal:
        types:
            datetime: App\Types\DateTimeType
        default_connection: default
        connections:
            default:
                # configure these for your database server
                driver: pdo_sqlsrv
                wrapper_class: 'App\DBAL\ConnectionWrapper'
                platform_service: App\DBAL\Cx9PlatformService
                host: null
                mapping_types:
                    xml: string
                options:
                    2: 100
    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        entity_managers:
            default:
                connection: default
                auto_mapping: true
                naming_strategy: doctrine.orm.naming_strategy.underscore
                mappings:
                    App:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity'
                        alias: App
                dql:
                    datetime_functions:
                        Dattodt: App\DQL\Dattodt
                    numeric_functions:
                        IsNull: App\DQL\IsNull
                        IsDate: App\DQL\IsDate